Vector BLF: Vector::BLF::EthernetStatistic Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::EthernetStatistic Struct Referencefinal

ETHERNET_STATISTIC. More...

`#include <EthernetStatistic.h>`

Inheritance diagram for Vector::BLF::EthernetStatistic:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint16_t | channel {}
uint16_t | reservedEthernetStatistic1 {}
uint32_t | reservedEthernetStatistic2 {}
uint64_t | rcvOk_HW {}
uint64_t | xmitOk_HW {}
uint64_t | rcvError_HW {}
uint64_t | xmitError_HW {}
uint64_t | rcvBytes_HW {}
uint64_t | xmitBytes_HW {}
uint64_t | rcvNoBuffer_HW {}
int16_t | sqi {}
uint16_t | hardwareChannel {}
uint32_t | reservedEthernetStatistic3 {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

ETHERNET_STATISTIC.

Ethernet Statistics

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::EthernetStatistic::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::EthernetStatistic::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::EthernetStatistic::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ channel

uint16_t Vector::BLF::EthernetStatistic::channel {}

channel

## ◆ hardwareChannel

uint16_t Vector::BLF::EthernetStatistic::hardwareChannel {}

hardware channel

## ◆ rcvBytes_HW

uint64_t Vector::BLF::EthernetStatistic::rcvBytes_HW {}

receive bytes

## ◆ rcvError_HW

uint64_t Vector::BLF::EthernetStatistic::rcvError_HW {}

receive error

## ◆ rcvNoBuffer_HW

uint64_t Vector::BLF::EthernetStatistic::rcvNoBuffer_HW {}

receive no buffer

## ◆ rcvOk_HW

uint64_t Vector::BLF::EthernetStatistic::rcvOk_HW {}

receive ok

## ◆ reservedEthernetStatistic1

uint16_t Vector::BLF::EthernetStatistic::reservedEthernetStatistic1 {}

reserved

## ◆ reservedEthernetStatistic2

uint32_t Vector::BLF::EthernetStatistic::reservedEthernetStatistic2 {}

reserved

## ◆ reservedEthernetStatistic3

uint32_t Vector::BLF::EthernetStatistic::reservedEthernetStatistic3 {}

reserved

## ◆ sqi

int16_t Vector::BLF::EthernetStatistic::sqi {}

signal quality

## ◆ xmitBytes_HW

uint64_t Vector::BLF::EthernetStatistic::xmitBytes_HW {}

transmit bytes

## ◆ xmitError_HW

uint64_t Vector::BLF::EthernetStatistic::xmitError_HW {}

transmit error

## ◆ xmitOk_HW

uint64_t Vector::BLF::EthernetStatistic::xmitOk_HW {}

transmit ok

The documentation for this struct was generated from the following files:

- EthernetStatistic.h
- EthernetStatistic.cpp